<?php
session_start();
if(isset($_POST['k1'])) {
		$plik = 'upload/'.$_SESSION['nazwa'].'/pliki/'.$_POST['k1'];
		unlink($plik);
		require_once('../wiras_php/wa_baza/wa_polacz.php');
		$zap = 'DELETE FROM strona_pliki WHERE plik_nazwa="'.$_POST['k1'].'"';
		$wynik = mysqli_query($db, $zap);
		require_once('druk.php');
		$tab[0] = 'Plik został usunięty';
		$tab[1] = wyswietl();
		
			$id = $_SESSION['id'];
			$dir = $_SESSION['strona'].'pliki/upload/'.$_SESSION['nazwa'].'/pliki/';
			$zap = 'SELECT * FROM strona_pliki WHERE id_user='.$id;
			$pobierz = mysqli_query($db, $zap);
			$dane = array();
			while ($wiersz = mysqli_fetch_row($pobierz)) 
			{
				$dane[] = $wiersz;
			}
			$lp = count($dane);
			if ($lp>0) {
				$tup = '<div style="width: 720px; margin: 5px auto; height: 0; border: 1px dotted #F00; clear: both;"></div>';
				$tup = $tup.'<div id="strona_upload_tlo">';
				$tup = $tup.'<h1 id="h3_tytul">Pliki do pobrania</h1>';
				$styl = '<span style="color: #08F; font-weight: bold;">';
				for ($i=0; $i<$lp; $i++) {
					$tup = $tup.'<div id="strona_upload_plik">';
					$tup = $tup.'<div id="strona_upload_sekcja1">';
					$tup = $tup.$styl.'Nazwa pliku</span><br />';
					$tup = $tup.$dane[$i][2];
					$tup = $tup.'</div>';
					$tup = $tup.'<div id="strona_upload_sekcja2">';
					$tup = $tup.$styl.'Data dodania</span><br />';
					$tup = $tup.$dane[$i][4];
					$tup = $tup.'</div>';
					$tup = $tup.'<div id="strona_upload_sekcja3">';
					$tup = $tup.$styl.'Link do pobrania</span><br />';
					$tup = $tup.'<a id="strona_link" href="'.$dir.$dane[$i][2].'" target="_blank">Pobierz</a>';
					$tup = $tup.'</div>';
					$tup = $tup.'<div id="strona_upload_sekcja4">';
					$tup = $tup.$styl.'Liczba pobrań</span><br />';
					$tup = $tup.$dane[$i][5];
					$tup = $tup.'</div>';
					$tup = $tup.'</div>';
				}
				$tup = $tup.'</div>';
			} else $tup='';
			
		$tab[2] = $tup;
		$tab[3] = $lp;
		echo json_encode($tab);
		unset($tab);
		unset($tup);
		unset($dane);
		unset($pobierz);
	}	

?>